Bug 708270 - System crashes when safely removing an external USB disk
Summary: System crashes when safely removing an external USB disk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-27 04:58 UTC by antonio montagnani
Modified: 2011-11-13 18:04 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 12:54:59 UTC
Type: ---


Attachments (Terms of Use)
Copy of screen shot fro disk manager (148.27 KB, image/png)
2011-05-27 17:22 UTC, antonio montagnani
no flags Details
copy of kernel panic (281.78 KB, image/jpeg)
2011-09-09 17:26 UTC, antonio montagnani
no flags Details

Description antonio montagnani 2011-05-27 04:58:19 UTC
Description of problem:
If I connect a WD usb external disk, and and choose "safely remove device" by right clicking, system crashes 

Version-Release number of selected component (if applicable):
nautilus-3.0.1.1-1.fc15.i686

How reproducible:
always with this disk (no broblem with USB keys...

Steps to Reproduce:
1.Connect the disk
2.disconnect the disk by safely removing
3.
  
Actual results:
System freezes
Expected results:
No freeze

Additional info:

No problem if Fedora 14

Comment 1 antonio montagnani 2011-05-27 05:14:57 UTC
My Smolt profile
http://www.smolts.org/client/show/pub_c38b5c49-9c83-4457-8db8-03d91072afa6

Kernel is:
Linux Acer 2.6.38.6-27.fc15.i686.PAE

Comment 2 Tomáš Bžatek 2011-05-27 09:19:09 UTC
What do you mean by "system crashes"? Is userspace dead? Any error messages, oops? Is the machine alive on network?

Comment 3 antonio montagnani 2011-05-27 17:22:33 UTC
Created attachment 501349 [details]
Copy of screen shot fro disk manager

herewith you will find a copy (I apologize that is in Italian) of what I see on my screen about the USB disk...If I try to remove safely from this screen I get the message cannot be stopped and system doesn't crash, Mount/Umount is safe, but if filesystem I get the message that filesystem is not clean.

In my opinion system completely freezes, as there is no button combination to make it alive again, afterwards I will try some network tests to see if system is still alive

Comment 4 antonio montagnani 2011-05-27 17:24:03 UTC
please read:

If I try to remove safely from this screen I get
the message cannot be stopped 

as:

If I try to remove safely from this screen I get
the message daemon cannot be stopped

Comment 5 antonio montagnani 2011-09-09 17:26:22 UTC
Created attachment 522370 [details]
copy of kernel panic

Today after latest updates....system if F15 fully updated!!!

Comment 6 antonio montagnani 2011-09-09 19:39:38 UTC
Comment 5 happened with latest kernel 

$ uname -a
Linux Acer 2.6.40.4-5.fc15.i686 #1 SMP Tue Aug 30 14:54:41 UTC 2011 i686 i686 i386 GNU/Linux

For a long time between comment 1 and 5, everything was o.k.....

Shall I open a new bug?? (but I assume that everything is connected..)

Comment 7 antonio montagnani 2011-09-09 20:53:16 UTC
the external disk is NFTS/HTFS formatted, just for information

Comment 8 antonio montagnani 2011-09-09 21:33:15 UTC
 uname -a
Linux Acer 2.6.40.3-0.fc15.i686 #1 SMP Tue Aug 16 04:24:09 UTC 2011 i686 i686 i386 GNU/Linux

when using this kernel, I am not experiencing such crashes (at least until now.

When updated ntfs packages from updates-testing, situation became poorer, with continuous crashes (at least with  .4-5.fc15 kernel

Comment 9 antonio montagnani 2011-09-09 21:42:41 UTC
no, same kind of kernel panic even with .3-0.fc15 kernel.

Comment 10 Tomáš Bžatek 2011-09-13 12:54:32 UTC
Okay, moving to kernel component.

Comment 11 antonio montagnani 2011-09-13 13:06:34 UTC
I understand that I am experiencing this crash when I use the option Remove safely device in Nautilus, no problem if I click on the small icon (like an arrow) to umount the device in Nautilus.

Seems connected to this external HD (I mean Western Digital), no such an issue with other removable devices

Comment 12 apmanol 2011-09-14 06:45:41 UTC
Same issue here but on fc14:
$ uname -a 
Linux pcrh103 2.6.35.14-96.fc14.i686 #1 SMP Thu Sep 1 12:49:38 UTC 2011 i686 i686 i386 GNU/Linux


The external device is a WD passport formated with ntfs. After "safely removing" the hard disk the system freezes. Nothing is working. The screen goes black and powers off. I need to press the power reboot button to start again.

Comment 13 Gabriele Turchi 2011-09-26 21:11:29 UTC
I have a similar problem under fedora 14, 2.6.35.14-96.fc14.x86_64.

External 1TB USB2 Freecom Disk, ntfs formatted. After asking for safe removal, the system freeze hard immediately, with caps-lock and scroll-lock leds flashing.
I have to keep pressed the power button to switch off the machine.

Comment 14 Josh Boyer 2011-10-04 14:32:21 UTC
Could you please try this update and see if the problems recreate:

https://admin.fedoraproject.org/updates/kernel-2.6.40.6-0.fc15

We've added another possible fix for this issue from upstream.

Comment 15 antonio montagnani 2011-10-06 05:43:32 UTC
2.6.40.6-0.fc15.i686 seems to make it work

Tnx

Comment 16 Josh Boyer 2011-10-06 12:54:59 UTC
Thank you for letting us know!


Note You need to log in before you can comment on or make changes to this bug.